<?php
/* SVN FILE: $Id: bootstrap.php 4410 2007-02-02 13:31:21Z phpnut $ */
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) :  Rapid Development Framework <http://www.cakephp.org/>
 * Copyright 2005-2007, Cake Software Foundation, Inc.
 *								1785 E. Sahara Avenue, Suite 490-204
 *								Las Vegas, Nevada 89104
 * Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 *
 * @filesource
 * @link				http://www.cakefoundation.org/projects/info/cakephp CakePHP(tm) Project
 * @package			cake
 * @subpackage		cake.app.config
 * @since			CakePHP(tm) v 0.10.8.2117
 * @version			$Revision: 4410 $
 * @modifiedby		$LastChangedBy: phpnut $
 */
/**
 *
 * This file is loaded automatically by the app/webroot/index.php file after the core bootstrap.php is loaded
 * This is an application wide file to load any function that is not used within a class define.
 * You can also use this to include or require any files in your application.
 *
 */
/**
 * The settings below can be used to set additional paths to models, views and controllers.
 * This is related to Ticket #470 (https://trac.cakephp.org/ticket/470)
 *
 * $modelPaths = array('full path to models', 'second full path to models', 'etc...');
 * $viewPaths = array('this path to views', 'second full path to views', 'etc...');
 * $controllerPaths = array('this path to controllers', 'second full path to controllers', 'etc...');
 *
 */

/** Formats and returns a message 'à là' sprintf, but localizing the
 * format using __() */
function __s() {
	$args = func_get_args();
	$format = $args[0];
	unset($args[0]);
	return vsprintf(__($format, true), $args);
}

/** Returns localised date.
 * @param $str a date in strtime()-parsable format */
function __date($str, $format = null) {
	if ($format === null)
		$format = __('date_format', true);
	
	if ($str === '0000-00-00' || $str === '' || $str === null)
		return '';
	else
		return strftime($format, strtotime($str));
}

/** Returns the maximum of a set of values in a 2-dimensional array
 * @param $sets the array (of array of...) values.
 * @return the Maximum
 */
function max2d($sets) {
	$max = $sets[0][0];
	foreach ($sets as $set) {
		$tmp = max($set);
		$max = max($tmp, $max);
	}
	return $max;
}

/** Returns the maximum size of the subarrays of a given array */
function count2d($sets) {
	$length = 0;
	foreach ($sets as $set) {
		$l = count($set);
		$length = $l > $length ? $l : $length;
	}
	return $length;
}

function stringArrayToIntArray($data) {
	foreach ($data as &$value)
		$value = (int)$value;
		
	return $data;
}

if (function_exists('lcfirst') === false) {
	function lcfirst($str) {
		$str[0] = strtolower($str[0]);
        return (string)$str;
	}
}

/**
 * Demyo images directory name (not path)
 * @see COLLECTION_IMAGES
 * @see COLLECTION_IMAGES_URL
 */
define('COLLECTION_IMAGES_DIR', 'collection_images');
/**
 * Path to demyo's images directory
 */
define('COLLECTION_IMAGES', IMAGES.COLLECTION_IMAGES_DIR.DS);
/**
 * URL to demyo's images directory
 */
define('COLLECTION_IMAGES_URL', IMAGES_URL.COLLECTION_IMAGES_DIR.'/');
/**
 * Path to the import status report file (in JSON)
 * @var string
 */
define('IMPORT_STATUS_FILE', TMP.'import_status.json');

Configure::load('demyo');
Configure::write('Config.language', Configure::read('Demyo.lang'));

?>
