<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class InstallerComponent extends Object {
	public $components = array('Session');
	
	public function shouldUpdate() {
		$should = $this->Session->read('doUpdate') !==  'no'
			&& file_exists(CONFIGS.'demyo.php.old');
		$this->Session->delete('doUpdate'); // Only prevent update once
		return $should;
	}
	
	public function update() {
		$this->mergeConfigs();
		$this->Session->write('doUpdate', 'no');
	}
	
	private function mergeConfigs() {
		$config = array();
		include(CONFIGS.'demyo.php.old');
		$oldConfig = $config;
		
		// Don't restore old version information
		unset($config['Demyo.versionAsString'],
			$config['Demyo.versionCodename'],
			$config['Demyo.versionAsFloat'],
			$config['Demyo.schemaVersion']);
		
		$config = array();
		include(CONFIGS.'demyo.php');
		$newConfig = $config;
		
		$this->mergeConfigArrays($oldConfig, $newConfig);
		
		// Save to file
		$content = "<?php\n\n";
		foreach ($newConfig as $key => $value) {
			$content .= "\$config['$key'] = ".var_export($value, true).";\n";
		}
		$content .= "\n?>\n";
		file_put_contents(CONFIGS.'demyo.php', $content);
		unlink(CONFIGS.'demyo.php.old');
	}
	
	private function mergeConfigArrays(&$old, &$new) {
		foreach ($new as $key => $value) {
			if (! isset($old[$key]))
				continue;
			
			if (is_array($value))
				$this->mergeConfigArrays($old[$key], $new[$key]);
			else
				$new[$key] = $old[$key];
		}
	}
}
?>