<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2 id="installing">Installing</h2>
<p>Now that you have a functionnal Web server (make sure it's running), you can install the actual Demyo software.</p>
<p>Make sure you have extracted the Demyo archive you downloaded. Most of the files mentionned in the following instructions can be found in that archive.</p>

<h3 id="windows">On Windows</h3>
<h4>Creating a user</h4>
<p>A database user will now be added. This user is a bit like an account for a forum: it helps defining what you can and cannot do.</p>
<p>Go to <a href="http://localhost/phpmyadmin/">http://localhost/phpmyadmin/</a> . Click on Privileges, then on the "SQL" tab at the top of the page. Copy and paste the content of the <tt>create-user.sql</tt> file, then click go. You can change the password if you want, but you will have to change the <a href="#configuration">configuration</a>.</p>
<p class="note">Note: <tt>.sql</tt> files can be opened with Wordpad.</note>

<h4>Creating the database</h4>
<p>Once again, click on the SQL tab. This time, copy, paste and run the contents from <tt>create-database.sql</tt>.</p>

<h4>Creating the tables</h4>
<p>Click one last time on the SQL tab and run the contents from <tt>create-tables.sql</tt>.</p>

<h4>Copying the files</h4>
<p>You can now copy the <tt>demyo</tt> directory (the one from inside the extracted archive) into your server's hosting directory, that is <tt>X:\xampplite\htdocs</tt> if you followed the above procedure.</p>
<p>Copy the directory, not its contents, so that a file <tt>htdocs\demyo\index.php</tt> exists along with the <tt>app</tt> and <tt>cake</tt> directories (there can also be a few other files and directories).</p>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="linux">On Linux</h3>
<p class="note">Note: the steps below use the <tt class="cmd">mysql</tt> command. If you installed XAMPP on Linux, you need to call <tt class="cmd">/opt/lampp/bin/mysql</tt> instead.</p>

<h4>Creating a user</h4>
<p>A database user will now be added. This user is a bit like an account for a forum: it helps defining what you can and cannot do.</p>
<p>In a terminal, run <tt class="cmd">mysql -u root -p &lt; /tmp/demyo-VERSION/create-user.sql</tt>. You will have to type the password for the root database user (which you were told to remember in the above procedure).</p>
<p>You can edit the file beforehand and change the password if you want, but you will have to change the <a href="#configuration">configuration</a>.</p>

<h4>Creating the database</h4>
<p>In a terminal, run <tt class="cmd">mysql -u root -p &lt; /tmp/demyo-VERSION/create-database.sql</tt>. You will have to type the password for the root database user (which you were told to remember in the above procedure).</p>

<h4>Creating the tables</h4>
<p>In a terminal, run <tt class="cmd">mysql -u demyo -p &lt; /tmp/demyo-VERSION/create-tables.sql</tt>. You will have to type the password for the database user (default is <tt>password</tt>).</p>

<h4>Copying the files</h4>
<p>You can now copy the <tt>demyo</tt> directory (the one from inside the extracted archive) into your server's hosting directory. A common setting is <tt>/var/www</tt> (<tt>/opt/lampp/htdocs</tt> if you installed XAMPP for Linux).</p>
<p>In a terminal, run <tt class="cmd">cp -r /tmp/demyo-VERSION/demyo /var/www/demyo</tt>.</p>
<p>Fix the privileges for Demyo: run (replacing $DEMYO_USER by your normal user name)</p>
<pre class="cmd">chown -R $DEMYO_USER:www-data /var/www/demyo
chmod -R u=rwX,g=rX,o= /var/www/demyo
chmod -R g+w /var/www/demyo/app/tmp /var/www/demyo/app/webroot/img/thumbs
chmod g+w /var/www/demyo/app/config /var/www/demyo/app/config/demyo.php
chown -R www-data /var/www/demyo/app/webroot/img/collection_images
chmod -R go=rwX /var/www/demyo/app/webroot/img/collection_images
</pre>
