<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2 id="requirements">Requirements</h2>

<p>Demyo has been to tested to run on Windows and Linux. It probably runs on Mac OS X, too, but this has not been tested.</p>
<p>Demyo's interface is Web-based, which means it runs in a Web browser. Currently, the following browsers are supported:</p>
<ul>
<li>Gecko-based: Mozilla Firefox, Seamonkey, Iceweasel...</li>
</ul>
<p>Internet Explorer 7, Opera and Safari are currently only partially supported, and these browsers could have some minor issues. Full support is intended for a later version.</p>
<p>There will be no official support for Internet Explorer 6 or lower. Most of the software should work, but some parts are definitely broken and there will be no effort to make everything work for this particular browser.</p>

<p>Demyo also requires a Web server with PHP 5.2 or older and MySQL 4 or older.
If you already have one, proceed to <?=$helpBrowser->directLink('install-the-software')?>.
If you don't have one or don't know (in which case you most likely don't have one), read the following.</p>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="windows">On Windows</h3>
<p>Extract the Demyo archive (.zip or .tar.gz) in a temporary directory of your choice (your desktop or documents folder is fine).</p>

<h4>XAMPP</h4>
<p>Download XAMPP-Lite from <a href="http://www.apachefriends.org/en/xampp.html">the XAMPP website</a>.</p>
<p>Install the package. You can install it in the following locations:</p>
<ol>
<li>At the root of a disk or USB key, so that the folder where XAMPP files are is exactly <tt>X:\xampplite</tt> (where X is the letter of your drive or USB key). In this case, use the ZIP version of XAMPP-Lite.</li>
<li>Anywhere else. You can choose either the ZIP or installer (.exe) version. You'll have <a href="http://www.apachefriends.org/en/xampp-windows.html#521">to run <tt>setup_xampp.bat</tt></a>).</li>
</ol>
<p class="note">Note: If you chose the full package, the extracted folder might be named <tt>xampp</tt>. Don't rename it, and follow the guide just like you would have done, but replacing <tt>X:\xampplite</tt> by <tt>X:\xampp</tt></p>

<h4>Setting up the files</h4>
<p>Copy <strong>the contents</strong> of Demyo's xampp-windows folder into the main XAMPP folder (e.g. <tt>X:\xampplite</tt>). If asked to overwrite files, answer "Yes" to all.</p>
<p class="note">On Windows vista, copying the files that way doesn't always succeed, probably due to a bug or weird feature in Vista itself. If Demyo behaves unexpectedly, check that the files have been correctly replaced.</p>
<p>Now, start XAMPP by running <tt>X:\xampplite\xampp_start.exe</tt>. A DOS window appears, minimize it.</p>
<p class="note">Note: The DOS window advertises when XAMPP is starting, but not when it has started. Waiting 5 seconds should be enough.</p>

<h4>Security</h4>
<p>If you copied files correctly three steps above, your installation should already be pretty secure. The page at <a href="http://localhost/security/index.php">http://localhost/security/index.php</a> says otherwise but:</p>
<ul>
	<li>Passwords don't really matter if the server cannot be reached from the outside (which is the case).</li>
	<li>PHP's safe mode is deprecated (i.e. its use is discouraged by the PHP Team itself).</li>
</ul>

<h4>Finishing and using</h4>
<p>The server installation is now complete. Each time you want to start Demyo, start the server by running <tt>X:\xampplite\xampp_start.exe</tt>. To stop it, run <tt>X:\xampplite\xampp_stop.exe</tt>.</p>
<p>Alternatively, you can use <tt>xampp-control.exe</tt>, which has a nice GUI to start both Apache and MySQL, and minimizes to the system tray.</p>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="linux">On Linux, with your distribution's packages</h3>
<p>Extract the Demyo archive (.zip or .tar.gz) in a temporary directory of your choice. In the following, we will assume that the file was extracted to <tt>/tmp/demyo-VERSION</tt>.</p>

<h4>Debian</h4>
<p>Under Debian (probably also under Ubuntu), you can install the following packages : <tt>apache2 libapache2-mod-php5 mysql-server php5-mysql php5-gd</tt>&nbsp;. During the installation of the SQL database, you could be prompted for a password for the root account. Fill it, and remember it.
If asked wether the SQL server should be available from the network, answer no.</p>
<p>You should also follow the following steps:</p>
<ul>
	<li>To secure your installation by only accepting requests from your computer, edit the <tt>/etc/apache2/ports.conf</tt> file and replace <tt>Listen 80</tt> by <tt>Listen 127.0.0.1:80</tt>&nbsp;.</li>
	<li>Run <tt>a2enmod rewrite</tt> as root to enable Apache 2 mod_rewrite, which is needed by Demyo.</li>
	<li>Create <tt>/etc/apache2/sites-available/demyo</tt> with the following contents:
	<pre>&lt;Directory /var/www/demyo&gt;
	AllowOverride FileInfo
&lt;/Directory&gt;</pre>
	and link it as an available site: <tt class="cmd">ln -s /etc/apache2/sites-available/demyo /etc/apache2/sites-enabled/demyo</tt></li>
	<li>Run <tt class="cmd">invoke-rc.d apache2 restart</tt> to reload the server configuration.</li>
</ul>
<p>The server will automatically be started on boot.</p>

<h4>Other distributions</h4>
<p>Please refer to your system's documentation for Apache installation on other Linux distributions.</p>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="linux-lampp">On Linux, with LAMPP</h3>
<p>Extract the Demyo archive (.zip or .tar.gz) in a temporary directory of your choice. In the following, we will assume that the file was extracted to <tt>/tmp/demyo-VERSION</tt>.</p>

<p>If your distribution doesn't have packages for Apache or if they are somehow broken (consider reporting a bug to your distribution), you can also set up an all-in-one server.</p>
<p class="note">Note: installing your distribution's packages should be the preferred way and I offer limited or no support for this procedure.</p>

<h4>XAMPP</h4>
<p>Download XAMPP for Linux  from <a href="http://www.apachefriends.org/en/xampp.html">the XAMPP website</a>.</p>
<p>Extract the downloaded file to <tt>/opt</tt>&nbsp;: in a terminal, change to the directory where the file was downloaded and run <tt class="cmd">tar zxf xampp-linux-VERSION.tar.gz -C /opt</tt>&nbsp;. You will need root privileges to do that (either use <tt class="cmd">su</tt> or <tt class="cmd">sudo</tt>).</p>
<p class="note">Note: It is only possible to run XAMPP for Linux from <tt>/opt</tt>&nbsp;, though you could install it anywhere and make a symbolic link from <tt>/opt</tt> to your directory of choice. This restricts the usage from a USB key to a computer where you can have root access (or where someone can set you a symbolic link once).</p>

<h4>Security</h4>
<p>Copy the recommended configuration files: in a terminal, run <tt class="cmd">cp -rf /tmp/demyo-VERSION/xampp-linux/* /opt/lampp/</tt>.</p>

<h4>Finishing and using</h4>
<p>The server installation is now complete. Each time you want to start Demyo, start the server by running <tt>/opt/lampp/demyo start</tt>. To stop it, run <tt>/opt/lampp/demyo stop</tt>.</p>
