<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
?>
<h2 id="installing">Installation</h2>
<p>Maintenant que vous avez un serveur Web fonctionnel (assurez-vous en), vous pouvez installer le programme Demyo lui-même.</p>
<p>Assurez-vous d'avoir extrait l'archive Demyo archive que vous avez téléchargé. La plupart des fichiers mentionnés dans les instructions suivantes sont dans cette archive.</p>

<h3 id="windows">Sous Windows</h3>
<h4>Créer un utilisateur</h4>
<p>Nous allons d'abord ajouter un utilisateur de base de données. Cet utilisateur
est un peu comme un compte sur un forum&nbsp;: il aide à définir ce que vous pouvez faire ou pas.</p>
<p>Allez au <a href="http://localhost/phpmyadmin/">http://localhost/phpmyadmin/</a>.
Cliquez sur Privilèges, puis sur l'onglet "SQL" en haut de la page. Copiez/collez
le contenu du fichier <tt>create-user.sql</tt>, puis cliquez Exécuter. Vous
pouvez changer le mot de passe si vous voulez, mais vous devrez alors le changer
également dans la <a href="#configuration">configuration</a>.</p>
<p class="note">Note : les fichiers <tt>.sql</tt> peuvent s'ouvrir avec Wordpad.</note>

<h4>Création de la base de données</h4>
<p>De nouveau, cliquez sur l'onglet SQL. Cette fois, copiez, collez et exécutez le contenu de <tt>create-database.sql</tt>.</p>

<h4>Création des tables</h4>
<p>Cliquez une dernière fois sur l'onglet SQL et exécutez le contenu de <tt>create-tables.sql</tt>.</p>

<h4>Copie des fichiers</h4>
<p>Vous pouvez maintenant copier le répertoire <tt>demyo</tt> (celui qui est
	dans l'archive extraite) dans le répertoire partage de votre serveur Web,
c'est-à-dire <tt>X:\xampplite\htdocs</tt> si vous avez suivi la procédure qui précède.</p>
<p>Copiez le répertoire, pas son contenu, de façon à ce que le fichier
<tt>htdocs\demyo\index.php</tt> soit au même endroit que les répertoires
<tt>app</tt> et <tt>cake</tt> (il peut aussi y avoir quelques autres fichiers
et répertoires).</p>

<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->

<h3 id="linux">Sous Linux</h3>
<p class="note">Note : les étapes suivantes utilisent la commande <tt class="cmd">mysql</tt>.
Si vous avez installé XAMPP sous Linux, vous devriez, à la place, exécuter la
commande <tt class="cmd">/opt/lampp/bin/mysql</tt>.</p>

<h4>Création d'un utilisateur</h4>
<p>Nous allons maintenant ajouter un utilisateur de base de données. Cet utilisateur
est un peu comme un compte sur un forum&nbsp;: il aide à définir ce que vous pouvez faire ou pas.</p>
<p>Dans un terminal, exécutez <tt class="cmd">mysql -u root -p &lt; /tmp/demyo-VERSION/create-user.sql</tt>.
Vous devrez entrer le mot de passe de l'utilisateur root de la base de données (celui qu'il vous a été conseillé de mémoriser précédemment dans la procédure).</p>
<p>Vous pouvez éditer préalablement le fichier et changer le mot de passe si vous voulez, mais vous devrez alors le changer également dans la <a href="#configuration">configuration</a>.</p>

<h4>Création de la base de données</h4>
<p>Dans un terminal, exécutez <tt class="cmd">mysql -u root -p &lt; /tmp/demyo-VERSION/create-database.sql</tt>.
Vous devrez entrer le mot de passe de l'utilisateur root de la base de données (celui qu'il vous a été conseillé de mémoriser précédemment dans la procédure).</p>

<h4>Création des tables</h4>
<p>Dans un terminal, exécutez <tt class="cmd">mysql -u demyo -p &lt; /tmp/demyo-VERSION/create-tables.sql</tt>.
Vous devrez entrer le mot de passe de l'utilisateur de la base de données (par défaut, c'est <tt>password</tt>).</p>

<h4>Copie des fichiers</h4>
<p>Vous pouvez maintenant copier le répertoire <tt>demyo</tt> (celui qui est dans l'archive extraite)
dans le répertoire partage de votre serveur Web.
L'endroit habituel est <tt>/var/www</tt> (<tt>/opt/lampp/htdocs</tt> si vous avez installé XAMPP pour Linux).</p>
<p>Dans un terminal, exécutez <tt class="cmd">cp -r /tmp/demyo-VERSION/demyo /var/www/demyo</tt>.</p>
<p>Précisez les privilèges pour Demyo : exécutez (remplacement de $DEMYO_USER par votre nom d'utilisateur)</p>
<pre class="cmd">chown -R $DEMYO_USER:www-data /var/www/demyo
chmod -R u=rwX,g=rX,o= /var/www/demyo
chmod -R g+w /var/www/demyo/app/tmp /var/www/demyo/app/webroot/img/thumbs
chmod g+w /var/www/demyo/app/config /var/www/demyo/app/config/demyo.php
chown -R www-data /var/www/demyo/app/webroot/img/collection_images
chmod -R go=rwX /var/www/demyo/app/webroot/img/collection_images
</pre>
