<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = $album['Album']['title'].' - '.$album['Series']['name'].' - '.__('Albums', true);

$quicksearch->setSearchCategories(array('Series', 'Album'));

$menu->makePopupMenu(array(
	array('edit' => 'Album', 'id' => $album['Album']['id']),
	array('url' => '/derivatives/add/toAlbum:'.$album['Album']['id'], 'title' => __('Add a derivative to this album', true)),
	array('delete' => 'Album', 'id' => $album['Album']['id']),
	array('edit' => 'Series', 'id' => $album['Album']['series_id']),
	array('add' => 'Album')
));

// Fix dates
$album['Album']['purchase_date'] = __date($album['Album']['purchase_date']);
$album['Album']['first_edition'] = __date($album['Album']['first_edition']);
$album['Album']['this_edition'] = __date($album['Album']['this_edition']);

if (! empty($album['Cover']['id']))
	echo $shadowbox->thumb($album['Cover']['url'], $album['Cover']['thumb_url'],
		array('div-id' => 'album-view-cover', 'alt' => __('Cover', true), 'isLocal' => $album['Cover']['is_local'], 'group' => 'albumImages'));
?>
<table class="details">
	<tr><th><?php __('Series') ?></th><td><?=$html->link($album['Series']['name'],'/series/view/'.$album['Album']['series_id'])?></td></tr>
	
	<?php if (!empty($album['Album']['cycle'])): ?>
	<tr><th><?php __('Cycle') ?></th><td><?=$album['Album']['cycle']?></td></tr>
	<?php endif; ?>
	
	<tr><th><?php __('Title') ?></th><td><?=empty($album['Album']['number'])?'':$album['Album']['number'].'&nbsp;-&nbsp;'?><?=$album['Album']['title']?></td></tr>
	
	<tr><th><?php __('Publisher') ?></th><td><?=$html->link($album['Publisher']['name'],'/publishers/view/'.$album['Album']['publisher_id'])?></td></tr>
	
	<?php if (!empty($album['Album']['collection_id'])): ?>
	<tr><th><?php __('Collection') ?></th><td><?=$html->link($album['Collection']['name'],'/collections/view/'.$album['Album']['collection_id'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Artist'])): ?>
	<tr><th><?php __('Artists') ?></th><td><?=$list->CSVList($album['Artist'], array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Writer'])): ?>
	<tr><th><?php __('Writers') ?></th><td><?=$list->CSVList($album['Writer'], array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Colorist'])): ?>
	<tr><th><?php __('Colorists') ?></th><td><?=$list->CSVList($album['Colorist'], array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if(!empty($album['Album']['first_edition']) && $album['Album']['first_edition'] == $album['Album']['this_edition']) { ?>
	<tr><th><? __('Edition') ?></th><td><?=$album['Album']['first_edition']?> (<?php __('First edition') ?>)</td></tr>
	<?php } else {
				if (!empty($album['Album']['first_edition'])) {
	?>
	<tr><th><? __('First edition') ?></th><td><?=$album['Album']['first_edition']?></td></tr>
	<?php		}
				if (!empty($album['Album']['this_edition'])) {
	?>
	<tr><th><? __('Edition') ?></th><td><?=$album['Album']['this_edition']?></td></tr>
	<?php }} ?>
	
	<?php
	if (!empty($album['Album']['purchase_date'])):
	?>
	<tr><th><?php __('Purchase date') ?></th><td><?=$album['Album']['purchase_date']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['binding_id'])): ?>
	<tr><th><?php __('Book binding') ?></th><td><?=$album['Binding']['name']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['width']) && !empty($album['Album']['height'])): ?>
	<tr><th><?php __('Size') ?></th><td><?=$album['Album']['width']?> x <?=$album['Album']['height']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['pages'])): ?>
	<tr><th><?php __('Pages') ?></th><td><?=$album['Album']['pages']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['price'])): ?>
	<tr><th><?php __('Price') ?></th><td><?=$album['Album']['price']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Tag'])): ?>
	<tr><th><?php __('Tags') ?></th><td><?=$list->CSVList($album['Tag'], array('name'), '/tags/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Borrower'])):?>
	<tr><th><?php __('Lended to') ?></th><td><?=__s('%s since %s',
		$album['Borrower'][0]['meta_name'],
		__date($album['Borrower'][0]['AlbumsBorrower']['borrow_date']))?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['isbn'])): ?>
	<tr><th><?php __('ISBN') ?></th><td><?=$album['Album']['isbn']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['summary'])): ?>
	<tr><th><?php __('Summary') ?></th><td><?=nl2br($album['Album']['summary'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['comment'])): ?>
	<tr><th><?php __('Comment') ?></th><td><?=nl2br($album['Album']['comment'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['derivative_count'])): ?>
	<tr><th><?php __('Derivatives') ?></th>
	<td><?=$html->link(__s('View %d derivatives for this album', $album['Album']['derivative_count']), '/derivatives/index/fromAlbum:'.$album['Album']['id'])?>
	<a id="derivatives-inliner" href="#inline-derivatives">(<?php __('view them here')?>)</a></td></tr>
	<?php endif; ?>
</table>

<div id="inline-derivatives" style="display: none"><div class="loading"><?=__('Loading')?></div></div>

<script type="text/javascript">
jQuery('a#derivatives-inliner').one('click', showInlineDerivatives);
function showInlineDerivatives() {
	jQuery('div#inline-derivatives').show();
	jQuery.get('<?=Router::url(array('controller' => 'derivatives', 'action' => 'index', 'fromAlbum' => $album['Album']['id']))?>', {}, function(data) {
		jQuery('div#inline-derivatives').html(data);
		<?php echo $shadowbox->init(false);?>
	});
}
</script>

<?php
if (! empty($album['Image'])) { ?>
<h2><?php __('Gallery') ?></h2>
<?=$shadowbox->init();?>
<table class="gallery">
<?php
echo $shadowbox->gallery($album['Image'], 'albumImages');
?>
</table>
<?php } ?>
