<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = __('Collections', true);

$quicksearch->setSearchCategories(array('Publisher', 'Collection'));

$menu->makePopupMenu(array(
	array('add' => 'Collection'),
	array('add' => 'Publisher')
));
?>

<?php
if (empty($collections)) {
	echo '<div class="info">'.__('No collections to show', true).'</div>';
	return;
}
?>

<?php
$letters = $myPaginator->letters();
if ($letters) {
	?>
<div class="pages_nav_letters">
	<?=$myPaginator->letters()?>
</div>
	<?php
}
?>

<div class="text_list_column collection_list_column">
<ul>
<?php
$num = 0;
$pubID = -1;
$hasCollections = false;
foreach($collections as $collection) {
	if ($num !== 0 && $num%$perColumn === 0) // Starting a column, but not the first one
		echo "</li>\n</ul></div>\n<div class=\"text_list_column collection_list_column\"><ul>\n";

	// Echo a publisher if the previous one is not the same (if it's the same,
	// we have a Nth collection for that publisher, with N >= 2)
	if ($pubID != $collection['Publisher']['id']) {
		// If the previous one had collection, close that list if we haven't just started a new column (in which case the tag was closed before ending the last column) 
		if ($hasCollections && $num%$perColumn !== 0)
			echo "\t</ul>";
		
		// If it's not the first publisher in the column, the previous one should be closed
		if ($num%$perColumn !== 0)
			echo "</li>\n";
		
		echo "\t<li>".$html->link($collection['Publisher']['name'], '/publishers/view/'.$collection['Publisher']['id']);
		
		// Reset
		$hasCollections = false;
		$pubID = $collection['Publisher']['id'];
	}
	
	// Is this a collection, too ? It could be just a publisher.
	if (! empty($collection['Collection']['id'])) {
		// Starting a column with collections requires double nesting
		if ($num%$perColumn == 0)
			echo "\t<li class=\"head-of-tlc\">";
		
		// If it's the first collection for this publisher, or at least the first in this column, we nest
		if (! $hasCollections || $num%$perColumn == 0) {
			$hasCollections = true;
			echo "<ul>\n";
		}
		
		echo "\t\t<li>".$html->link($collection['Collection']['name'], '/collections/view/'.$collection['Collection']['id'])."</li>\n";
	}
	
	// If there are collections, but the column is full, we need to close the current collection list (and maybe restart it later)
	if ($hasCollections && ($num%$perColumn == $perColumn-1))
		echo "</ul>";

	$num++;
}
?>
</li>
</ul>
</div>

<div class="clearer"></div>

<div class="pages_nav_numbers">
	<?=$myPaginator->prev()?> <?=$myPaginator->numbers()?> <?=$myPaginator->next()?>
</div>
<div class="pages_nav_jump">
	<?=$myPaginator->directJump()?>
</div>
