<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = $derivative['Derivative']['meta_name'].' - '.__('Derivatives', true);

$quicksearch->setSearchCategories(array('Series', 'Album'));

$menu->makePopupMenu(array(
	array('edit' => 'Derivative', 'id' => $derivative['Derivative']['id']),
	array('delete' => 'Derivative', 'id' => $derivative['Derivative']['id']),
	array('add' => 'Derivative')
));

// Fix dates
$derivative['Derivative']['purchase_date'] = __date($derivative['Derivative']['purchase_date']);
?>
<table class="details">
	<tr><th><?php __('Series') ?></th><td><?=$html->link($derivative['Series']['name'],'/series/view/'.$derivative['Derivative']['series_id'])?></td></tr>
	
	<?php if (!empty($derivative['Derivative']['album_id'])) { ?>
	<tr><th><?php __('Album') ?></th><td><?=$html->link($derivative['Album']['title'],'/albums/view/'.$derivative['Derivative']['album_id'])?></td></tr>
	<?php } ?>
	
	<?php if (!empty($derivative['Artist'])) { ?>
	<tr><th><?php __('Artist') ?></th><td><a href="<?=Router::url('/authors/view/'.$derivative['Artist']['id'])?>"><?=$derivative['Artist']['meta_name']?></a></td></tr>
	<?php } ?>
	
	<tr><th><?php __('Type') ?></th><td>
		<a href="<?=Router::url('/derivativeTypes/view/'.$derivative['DerivativeType']['id'])?>"><?=$derivative['DerivativeType']['name']?></a>
		<?php if (!empty($derivative['Derivative']['colors'])) echo ' ('.__s('%d colors', $derivative['Derivative']['colors']).')'; ?>
		</td></tr>
	
	<?php if (!empty($derivative['Derivative']['source_id'])) { ?>
	<tr><th><?php __('Source') ?></th><td><a href="<?=Router::url('/sources/view/'.$derivative['Source']['id'])?>"><?=$derivative['Source']['name']?></a></td></tr>
	<?php } ?>
	
	<?php if (!empty($derivative['Derivative']['number']) && !empty($derivative['Derivative']['total'])) { ?>
	<tr><th><?php __('Number') ?></th><td><?=$derivative['Derivative']['number']?> / <?=$derivative['Derivative']['total']?></td></tr>
	<?php } ?>
	
	<?php if ($derivative['Derivative']['signed']
			|| $derivative['Derivative']['authors_copy']
			|| $derivative['Derivative']['restricted_sale']) { ?>
	<tr><th><?php __('Notes') ?></th><td>
		<?php
			$notes = array();
			if ($derivative['Derivative']['signed']) array_push($notes, __('Signed', true));
			if ($derivative['Derivative']['authors_copy']) array_push($notes, __('Author\'s copy', true));
			if ($derivative['Derivative']['restricted_sale']) array_push($notes, __('Restricted sale', true));
			echo implode(', ', $notes);
		?></td></tr>
	<?php } ?>
	
	<?php if (!empty($derivative['Derivative']['width']) && !empty($derivative['Derivative']['height'])) { ?>
	<tr><th><?php __('Size') ?></th><td><?=$derivative['Derivative']['width']?> x <?=$derivative['Derivative']['height']?>
		<?php if (!empty($derivative['Derivative']['depth'])) echo ' x '.$derivative['Derivative']['depth']; ?>
		</td></tr>
	<?php } ?>
	
	<?php if (!empty($derivative['Derivative']['purchase_date'])) { ?>
	<tr><th><?php __('Purchase date') ?></th><td><?=$derivative['Derivative']['purchase_date']?></td></tr>
	<?php } ?>
	
	<?php if (!empty($derivative['Derivative']['price'])) { ?>
	<tr><th><?php __('Price') ?></th><td><?=$derivative['Derivative']['price']?></td></tr>
	<?php } ?>
	
	<?php if (!empty($derivative['Derivative']['description'])) { ?>
	<tr><th><?php __('Description') ?></th><td><?=nl2br($derivative['Derivative']['description'])?></td></tr>
	<?php } ?>
</table>

<?php if (! empty($derivative['Image'])) { ?>
<h2><?php __('Gallery') ?></h2>
<table class="gallery">
<?php
$shadowbox->init();
echo $shadowbox->gallery($derivative['Image'], 'derivImages');
?>
</table>
<?php } ?>
