<?php
/* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */

class FeedHelper extends AppHelper {
	public $helpers = array('jQuery');
	
	/** Includes an AJAX-loaded feed
	 * 
	 * @param $url Local url to the feed controller
	 * @param $options
	 * @return string
	 */
	public function showAJAXFeed($url, $text) {
		$url = Router::url($url);
		$this->jQuery->checkInclude();
		$loadingText = __('Loading', true);
		$image = Router::url('/img/feed.png');
		$failText = __('Failed to fetch RSS feed', true);
		$randiID = 'feed-'.rand();

		$ret = <<<EOS
<p id="{$randiID}-show"><a href="#latest-news"><img src="$image" class="expander" alt="+" />$text</a></p>
<div id="{$randiID}-content" class="loading">$loadingText</div>

<script type="text/javascript">
jQuery(function() {
	jQuery('div#{$randiID}-content').hide();
	jQuery('p#{$randiID}-show').click(function() {
		jQuery(this).remove();
		jQuery('div#{$randiID}-content').show('fast');
		jQuery.get('$url', function(data, status) {
			if (status == 'success') {
				jQuery('div#{$randiID}-content').removeClass('loading').addClass('feed').html(data);
			}

			else {
				jQuery('div#{$randiID}-content').removeClass('loading').addClass('error').html('$failText');
			}
		});
	});
});
</script>
EOS;
		return $ret;
	}
}
?>