<?php /* Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$this->pageTitle = __('Import the library', true);

echo $helpBrowser->pageLink('import');

if (isset($enableForce) && $enableForce === true) {
	echo '<div class="warning">'.__('This file was created with an old version of Demyo. It is recommended to import the file on that version, and update the whole collection from there. Forcing the import is also possible, but with a possible loss of data.', true).'</div>';
}

?>
<form action="<?=Router::url('/library/import')?>" method="post" id="exporter" enctype="multipart/form-data">
	<fieldset>
	<legend><?php __('Import the library') ?></legend>
	<table class="details">
	<tr><th><?php __('Import type')?></th>
	<td><select name="method">
		<option value="xml" selected="selected">XML (+ XSL)</option>
		<option value="csv">CSV</option>
	</select></td></tr>
	<tr><th><label for="import_file"><?php __('File')?></label></th><td><input type="file" id="import_file" name="import_file" /></td></tr>
	<?php if (isset($enableForce) && $enableForce === true) { ?>
	<tr><th><label for="force_import"><?php __('Force import from older versions') ?></label></th><td><input type="checkbox" id="force_import" name="force_import" /></td></tr>
	<?php } ?>
	</table>
	<div class="buttons"><input type="submit" value="<?php __('Import')?>" /><!-- onclick="return ')" /> --></div>
	</fieldset>
</form>

<div class="progressReporter">
	<div class="progressStatus"><?php __('Loading')?></div>
	<div class="progressBarContainer">
		<div class="progressBar"></div>
		<span class="progressBarText">0%</span>
	</div>
</div>

<?php
echo $jQuery->checkInclude();
?>
<script type="text/javascript">
function updateProgress() {
	jQuery.get('<?=Router::url('/library/importStatus')?>', function(data, status) {
		if (status == 'success') {
			var importStatus = null;
			if (data != '')
				eval('importStatus = '+data+';');
			if (importStatus != null) {
				if (importStatus.total <= 0)
					jQuery('div.progressBarContainer').hide();
				else {
					var pct = Math.floor(100*importStatus.current/importStatus.total)+'%';
					jQuery('div.progressBar').width(pct);
					jQuery('span.progressBarText').html(pct);
				}
	
				jQuery('div.progressStatus').html(
					"<?php __('Currently importing %1$s (%2$d/%3$d). Overall progress: %4$d/%5$d.')?>"
						.replace('%1$s', importStatus.part)
						.replace('%2$d', importStatus.partCurrent)
						.replace('%3$d', importStatus.partTotal)
						.replace('%4$d', importStatus.current)
						.replace('%5$d', importStatus.total)
				);
			}

			// Prepare next call
			window.setTimeout(updateProgress, 3000);
		}
		
		else {
			jQuery('div.progressReporter').html('Failed to update progress monitor');
		}
		
	});
}

jQuery(function() {
	// On refresh, the attributes would stay disabled
	jQuery('form#exporter input').removeAttr('disabled');
	jQuery('div.progressReporter').hide();

	jQuery('form').submit(function() {
		if (! confirm('<?php __('Are you sure you want to import the file?\nThis will delete information currently stored.')?>'))
			return false;

		// Note: we cannot disable normal input fields or the content won't get sent. 
		jQuery('form#exporter input[type="submit"]').attr('disabled', 'disabled');
		window.setTimeout("jQuery('div.progressReporter').show('normal'); updateProgress();", 500);
	});
});
</script>
