<?php
/* SVN FILE: $Id: home.ctp 5877 2007-10-23 01:41:09Z phpnut $ */
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) :  Rapid Development Framework <http://www.cakephp.org/>
 * Copyright 2005-2007, Cake Software Foundation, Inc.
 *								1785 E. Sahara Avenue, Suite 490-204
 *								Las Vegas, Nevada 89104
 * Copyright 2007-2009 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 *
 * @filesource
 * @copyright		Copyright 2005-2007, Cake Software Foundation, Inc.
 * @link				http://www.cakefoundation.org/projects/info/cakephp CakePHP(tm) Project
 * @package			cake
 * @subpackage		cake.cake.libs.view.templates.pages
 * @since			CakePHP(tm) v 0.10.0.1076
 * @version			$Revision: 5877 $
 * @modifiedby		$LastChangedBy: phpnut $
 * @lastmodified	$Date: 2007-10-22 20:41:09 -0500 (Mon, 22 Oct 2007) $
 * @license			http://www.opensource.org/licenses/mit-license.php The MIT License
 */
?>
<?php
function x_notice($condition, $message) {
	if ($condition)
		echo '<p><span class="notice">'.$message.'</span></p>';
}
?>
<?php
if(Configure::read() > 0):
	Debugger::checkSessionKey();
endif;
?>
<?php
	x_notice(!is_writable(TMP), __('Your tmp directory is NOT writable.', true));
	x_notice(!file_exists(CONFIGS.'database.php'),
		__('Your database configuration file is NOT present.', true));
	if (file_exists(CONFIGS.'database.php')) {
		uses('model' . DS . 'connection_manager');
		$db = ConnectionManager::getInstance();
		$connected = $db->getDataSource('default');
		x_notice(!$connected->isConnected(),
			__('Cake is NOT able to connect to the database.', true));
	}
	x_notice(!Cache::isInitialized(), __('Your cache is NOT working.', true));
	x_notice(!Cache::isInitialized() && !is_writable(TMP . 'cache'),
		__('Your cache directory is not writable', true));
?>

<?php $quicksearch->enableAllCategories() ?>

<?php $this->pageTitle = __('Home', true); ?>

<table id="dashboard">
	<tr><td>
		<div class="dashboard-panel" id="dashboard-browse">
			<h1><?php __('Browse the library')?></h1>
			<?=$html->image('browse.png', array('class' => 'dashboard-icon', 'alt' => __('Browse the library', true)))?>
			<ul>
				<li><?=$html->link(__('By series', true), '/series')?></li>
				<li><?=$html->link(__('By album', true), '/albums')?>
					<ul><li><?=$html->link(__('Show lended albums', true), '/borrowers/index/onlyCurrent:true')?></li></ul></li>
				<li><?=$html->link(__('By author', true), '/authors')?></li>
				<li><?=$html->link(__('By publisher', true), '/publishers')?></li>
				<!-- <li><?=$html->link(__('By collection', true), '/collections')?></li> Same as publishers-->
				<li><?=$html->link(__('By tag', true), '/tags')?></li>
				<li><?=$html->link(__('See images', true), '/images')?></li>
				<li><?=$html->link(__('See derivatives', true), '/derivatives')?>
					<ul><li><?=$html->link(__('See derivative types', true), '/derivativeTypes')?></li>
					<li><?=$html->link(__('See derivative sources', true), '/sources')?></li>
					<li><?=$html->link(__('See derivative label list', true), '/derivatives/labels')?></li></ul></li>
				<li><?=$html->link(__('See bindings', true), '/bindings')?></li>
			</ul>
		</div>

		<div class="dashboard-panel" id="dashboard-tags">
			<?php
				$jQuery->checkInclude()
			?>
			<script type="text/javascript">
				var limit=<?=Configure::read('Demyo.tagsCountInTasks')?>;
				function loadCloud() {
					jQuery.get('<?=Router::url('/tags/cloud/limit:')?>'+limit, function(data) {
						document.getElementById('tag_cloud').innerHTML = data;
					});
					limit+=5;
				}
				jQuery(document).ready(function() {
					loadCloud();
				});
			</script>
			<h1><?php __('Tag cloud') ?><?=$html->image('plus.png', array('class' => 'expander', 'title' => __('See more tags', true), 'alt' => '+', 'onclick' => 'loadCloud()'))?></h1>
			<?=$html->image('tags.png', array('class' => 'dashboard-icon', 'alt' => __('Tags', true)))?>
			<p id="tag_cloud"></p>
		</div>
	</td><td>
		<div class="dashboard-panel" id="dashboard-add-content">
			<h1><?php __('Add content')?></h1>
			<?=$html->image('addcontent.png', array('class' => 'dashboard-icon', 'alt' => __('Add content', true)))?>
			<ul>
				<li><?=$html->link(__('Add an album', true), '/albums/add')?></li>
				<li><?=$html->link(__('Add a series', true), '/series/add')?></li>
				<li><?=$html->link(__('Add an author', true), '/authors/add')?></li>
				<li><?=$html->link(__('Add a publisher', true), '/publishers/add')?></li>
				<li><?=$html->link(__('Add a collection', true), '/collections/add')?></li>
				<li><?=$html->link(__('Add an image', true), '/images/add')?></li>
				<li><?=$html->link(__('Add a derivative', true), '/derivatives/add')?></li>
				<li><?=$html->link(__('Add a derivative type', true), '/derivativeTypes/add')?></li>
				<li><?=$html->link(__('Add a binding', true), '/bindings/add')?></li>
			</ul>
		</div>

		<div class="dashboard-panel" id="dashboard-manage">
			<h1><?php __('Manage the library')?></h1>
			<?=$html->image('manage.png', array('class' => 'dashboard-icon', 'alt' => __('Manage the library', true)))?>
			<ul>
				<li><?=$html->link(__('Search the library', true), '/library/search')?></li>
				<li><?=$html->link(__('Export the library', true), '/library/export')?></li>
				<li><?=$html->link(__('Import the library', true), '/library/import')?></li>
				<li><?=$html->link(__('View library statistics', true), '/library/stats')?></li>
				<li><?=$html->link(__('View orphans', true), '/library/orphans')?></li>
				<li><?=$html->link(__('Configure Demyo\'s behavior', true), '/configurator/edit')?></li>
				<li><?=$html->link(__('Help', true), '/help')?></li>
				<li><?=$html->link(__('About', true), '/pages/about')?></li>
			</ul>
		</div>
	</td></tr>
</table>
